#pragma once
#include "..\..\..\OverlordEngine\Scenegraph\GameObject.h"
#include "Components/Components.h"

class Enemy : public GameObject
{
public:
	Enemy();
	~Enemy(void);
	vector<XMFLOAT3> m_PathNodes;
	XMFLOAT3 m_TargetNode;
	XMFLOAT3 m_PreviousNode;
	
	virtual void Initialize(const GameContext& gameContext);
	void AddPathNode(float x, float y, float z);
	void Respawn();
	bool CanShoot( const GameContext& gameContext );

private: 
	XMFLOAT3 m_Position;
	float m_Counter;
};

